### Tutorials
- [JavaScript for Cats](http://jsforcats.com/)
- [Professor Frisby's Mostly Adequate Guide to Functional Programming](https://github.com/DrBoolean/mostly-adequate-guide)
- [Eloquent Javascript](http://www.eloquentjavascript.net) ([*annotated*](https://watchandcode.com/courses/eloquent-javascript-the-annotated-version))
- [Speaking Javascript](http://speakingjs.com/es5/)
- [Exploring ES6](http://exploringjs.com/es6/)
- [Udemy - Javascript Understanding the Weird Parts (*first 3.5 hrs*)](https://www.youtube.com/watch?v=Bv_5Zv5c-Ts)

### References
- [DevDocs](http://devdocs.io)
- [OverAPI JavaScript Cheat Sheet](http://overapi.com/javascript/)
- [ECMA-262](http://www.ecma-international.org/publications/standards/Ecma-262.htm)

Find javascript libraries at http://jster.net

See Also: :loop: [**Quick JS**](https://github.com/freecodecamp/freecodecamp/wiki/js-resources#quick-js) | :watch: [**Challenges**](https://github.com/FreeCodeCamp/FreeCodeCamp/wiki/JS-Resources#challenges) | :wrench: [**Exercises**](https://github.com/FreeCodeCamp/FreeCodeCamp/wiki/JS-Resources#exercises) | :clipboard: [Editors](https://github.com/FreeCodeCamp/FreeCodeCamp/wiki/JS-Resources#editors) | :newspaper: [Blogs](https://github.com/FreeCodeCamp/FreeCodeCamp/wiki/JS-Resources#blogs) | :books: [Books](https://github.com/FreeCodeCamp/FreeCodeCamp/wiki/JS-Resources#books)

## []()

### Quick JS
- [REPL](https://repl.it/languages/Javascript) ([*node*](https://repl.it/languages/iojs/))
- [JSBin](http://jsbin.com)
- [CodePen](http://codepen.io)
- [CoderPad (*pair programming*)](http://coderpad.io) ([*Get Demo access forever*](https://github.com/FreeCodeCamp/FreeCodeCamp/wiki/JS-Resources#coderpad-demo-access-forever) :smile: )
- [C9 (*IDE*, *pair programming*)](http://c9.io)
- [Object Playground (*visualize objects*)](http://www.objectplayground.com/)
- [Plunker](http://plnkr.co)

### Challenges
- [Code Wars](http://codewars.com)
- [Hacker Rank](https://hackerrank.com)
- [Coding Game](http://codingame.com)

### Exercises
- [Codility](https://codility.com/programmers/lessons/)
- [Coderbyte](http://coderbyte.com)
- [Exercism](http://exercism.io)

### Editors
- [Brackets](http://brackets.io)
- [Atom](http://atom.io)

### Blogs
- [Perfection Kills](http://perfectionkills.com)
- [2ality](http://www.2ality.com/)

### Books
- [Secrets of the JavaScript Ninja](https://www.manning.com/books/secrets-of-the-javascript-ninja)
- [Programming JavaScript Applications](http://ericleads.com/javascript-applications/)
- [Maintainable JavaScript](http://shop.oreilly.com/product/0636920025245.do)
- [Learning JavaScript Design Patterns](http://addyosmani.com/resources/essentialjsdesignpatterns/book/)
- [Airbnb JavaScript Style Guide](https://github.com/airbnb/javascript)
- [JSDoc](http://usejsdoc.org/)
- [Javascript Allonge Six](https://leanpub.com/javascriptallongesix/read)

----

### CoderPad Demo Access Forever
[![](http://i.imgur.com/PQQjg9k.gif)](http://i.imgur.com/PQQjg9k.gif)

- [Eloquent Javascript](http://www.eloquentjavascript.net)   
Fantastic, thorough introduction to the basics and features of Javascript, complete with in-browser interactive code

- [Eloquent Javascript - The Annotated Version](https://watchandcode.com/courses/eloquent-javascript-the-annotated-version)   
An annotated version of the above Eloquent Javascript with additional helpful comments and discussions to help clarify some sections that might be confusing to newcomers to programming

* [Professor Frisby's Mostly Adequate Guide to Functional Programming](https://github.com/DrBoolean/mostly-adequate-guide)   
Quite in-depth guide to Functional Programming in Javascript

----
> *Edit this page to add your own suggested reading here*
