Interested in contributing to FreeCodeCamp (FCC)? Looking for an issue to work on, but not sure where to start? Issue labels can be your guide. These are labels (see table below) used to categorize the variety of issues submitted to FCC. The labels range from **bugs** to **questions** to **curriculum requests**. For example, if an issue has a ***Wiki*** label, you can create a Wiki article about that issue - after reading the [Wiki Style Guide](https://github.com/FreeCodeCamp/FreeCodeCamp/wiki/Wiki-Style-Guide). 

You can use labels to help you choose which issues to click on, rather than randomly clicking to find one of interest to you. Of course, you can work on and submit PRs for issues without labels. How ever you choose an issue, please be sure to read [Guidelines for Contributing](https://github.com/FreeCodeCamp/FreeCodeCamp/blob/staging/CONTRIBUTING.md) before submitting any pull requests.

Check out the table below for the list of FreeCodeCamp issue labels, along with descriptions (work in progress). Thanks @bugron, @ahstro, @benschenker, for compiling this list of labels and descriptions.

Note: The labels ***blocked***, ***confirmed***, and ***QA*** are also tied to [Waffle](https://waffle.io/freecodecamp/freecodecamp), a management system for FCC (GitHub) issues, and are automatically added and removed by it.

| Label              | Description | 
| ------------------ | ----------- | 
| accessibility      | This is used for issues that don't necessarily break the site, but make it harder to use (like when tests used to evaluate while you typed would flicker the whole screen). Also, relevant to enabling the site to be usable for those who may have vision impairment or disabilities.|
| accounts           | Camper has a problem with his/her FCC account, such as login problems, losing progress, or profile page is missing some solutions.|
| beta               | The issue is related to FCC's beta site.|
| blocked            | When an issue should not be worked on, due to waiting for the creator’s response, more information, or the issue is stale.|
| bug                | Confirmed and reproducible bug in FCC's code and not only, for example, in Internet Explorer.
| chrome             | The issue can only be reproduced in Google Chrome.|
| confirmed          | The reported issue has been verified. (It basically says the issue creator has successfully communicated how to replicate the issue, but no one has started working toward a fix).|
| curriculum request | Relates to everything that is requested to be added to current curriculum. The issue requests a new challenge, adding more explanation to a challenge, etc.|
| device specific    | The issue presents only for a particular device (smartphone, tablet, desktop, etc).|
| Discussing         | The issue is currently on discussion stage. |
| duplicate          | The issue is a duplicate of another issue and most likely will be closed.|
| easy               | This is used to flag issues that aren't critical, but should be easy for a camper to fix for their first couple of PRs. Think of these as the camper gateway to becoming a contributor. |
| enhancement        | Similar to a Feature Request, but more related to improving existing features rather than adding new ones.|
| feature request    | A request to add a feature to FCC. For example, ability to edit or remove bonfires from campers profile page.|
| firefox            | The issue can only be reproduced in Mozilla Firefox.|
| help wanted        | Owners or issue moderators need campers’ help to investigate or fix the issue.|
| hikes              | The issue is related to Hikes (they are currently not available in curriculum).|
| ie/edge            | The issue can only be reproduced in Internet Explorer or Microsoft Edge. FCC officially supports only Google Chrome.|
| in progress        | Someone is currently making a fix for the issue.|
| QA                 | (Quality Assurance) When a fix has been submitted and it needs to be reviewed before merging.|
| question           | The issue is a question.|
| reactify           | Issues related to moving to reactjs.|
| resolved           | The issue is resolved/fixed.|
| tests              | The issue should be fixed with a test improvement, meaning someone needs to fix asserts.|
| todo               | Something that needs to be done in future.|
| ux                 | (User Experience) Similar to accessibility, but focuses on an issue where campers share their experience or with an issue that leads to a negative user experience. For example, tag is used when something may be too complicated or how to use a feature is difficult to understand.|
| wiki               | Relates to FCC's GitHub Wiki articles. May be a request to create one. |
| wontfix            | The issue is not fixable or will not be fixed in near future. An example of could be MS Edge browser support.|
